KJS::Null Class Reference

`#include <value.h>`

Inheritance diagram for KJS::Null:

## Static Public Member Functions

static Null | dynamicCast (const Value &v)

## Friends

class | NullImp

## Additional Inherited Members

Public Member Functions inherited from KJS::Value
| Value (ValueImp *v)
| Value (const Value &v)
Value & | operator= (const Value &v)
bool | isValid () const
bool | isNull () const
ValueImp * | imp () const
Type | type () const
bool | isA (Type t) const
Value | toPrimitive (ExecState *exec, Type preferredType=UnspecifiedType) const
bool | toBoolean (ExecState *exec) const
double | toNumber (ExecState *exec) const
int | toInteger (ExecState *exec) const
int | toInt32 (ExecState *exec) const
unsigned int | toUInt32 (ExecState *exec) const
unsigned short | toUInt16 (ExecState *exec) const
UString | toString (ExecState *exec) const
Object | toObject (ExecState *exec) const
bool | toUInt32 (unsigned &i) const
Protected Attributes inherited from KJS::Value
ValueImp * | rep

## Detailed Description

Represents an primitive Null value.

All instances of this class share the same implementation object, so == will always return true for any comparison between two Null objects.

Definition at line 295 of file value.h.

## Member Function Documentation

Null Null::dynamicCast | ( | const Value & | v | ) |

static

Converts a Value into an Null.

If the value's type is not NullType, a null object will be returned (i.e. one with it's internal pointer set to 0). If you do not know for sure whether the value is of type NullType, you should check the isValid() methods afterwards before calling any methods on the returned value.

Returns
  The value converted to a Null

Definition at line 304 of file value.cpp.

The documentation for this class was generated from the following files:

- value.h
- internal.h
- value.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys